Subject: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: João Távora <[email-masked]>
Date: Wed, 4 Mar 2020 22:44:08 +0000

On Wed, Mar 4, 2020 at 10:07 PM Dmitry Gutov <[email-masked]> wrote:
> It's a bug because it changes icomplete-mode in a way that makes
> completing-read fail its contract (which is to demand matching input
> when require-match is non-nil) in certain situations.

fido-mode doesn't change icomplete-mode. It shouldn't, at least.
It just uses it as a library.  And surely if it's a bug in fido-mode,
surely it needs fixing _there_  and not elsewhere.  But it seems
not be the case (at least with your latest proposal), so you have
me confused.

> > Great!   Disregard the previous discussion if you want, just do this,
> > and move on.
>
> Yup.

So much time has passed that I don't remember what the fix was anymore.
Have you pushed it?  I don't see it in emacs-27

João